Delete Product
DELETE
/product/{product-id}
const url = 'https://api.vviinn.com/product/120857';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.vviinn.com/product/120857 \ --header 'Authorization: Basic <credentials>'Deletes product and its images from a site on a given product id
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product-id
required
string
Example
120857Responses
Section titled “Responses”Success
Media typeapplication/json
object
message
string
data
object
site-id
integer
product-id
string
image-ids
Array
Example
{ "message": "success", "data": { "site-id": 25, "product-id": "100258", "image-ids": [ "1", "2" ] }}Could not delete the image
Media typeapplication/json
object
message
string
data
object
site-id
integer
image-id
string
debug
string
Example
{ "message": "Could not delete the image", "data": { "site-id": 25, "image-id": "1" }, "debug": "exception message"}Authentication Error
Media typeapplication/json
Example
{ "message": "Authentication Error"}Authorization Error
Media typeapplication/json
Example
{ "message": "Authorization Error"}Unable to find any image of the product
Media typeapplication/json
object
message
string
data
object
site-id
integer
image-id
string
Example
{ "message": "Unable to find any image of the product.", "data": { "site-id": 25, "image-id": "1" }}